#!/bin/sh
# Build a public release of Q3MIN under Win32

# Public releases check the CRC of 'pak1.pk3' at startup and refuse to
# run if it does not match the value hard coded in the executables.

# Argument: 32-bit CRC value of 'pak1.pk3' in hexadecimal as argument
# (this can be obtained form the log file 'stderr.txt' cerated by the
# client of the developer version).

if [ -z $1 ]; then
echo "You must specify the 32-bit CRC of 'pak1.pk3' as an 8-digit hex number."
exit 1
fi

rm -f Makefile.local
cat Makefile.local.win32 > Makefile.local
echo "" >> Makefile.local
echo "USE_PAK_CRC =" $1 >> Makefile.local
touch ./code/qcommon/common.c
make
